APTITUDE-CREATE-ST(1)

NOMBRE
aptitude-create-state-bundle - empaqueta el estado actual de aptitude

SINOPSIS

aptitude-create-state-bundle [<opciones>...] <fichero_de_salida>

DESCRIPCIÓN

    Nota

    This command is mostly for internal use and bug reporting in exceptional cases, it is not intended for end-users under normal circumstances.

La orden aptitude-create-state-bundle genera un fichero comprimido que guarda los ficheros necesarios para mimetizar el estado actual del archivo de paquetes. Se incluyen en el archivo generado los siguientes ficheros y directorios:

    • $HOME/.aptitude

    • /var/lib/aptitude

    • /var/lib/apt

    • /var/cache/apt/*.bin

    • /etc/apt

    • /var/lib/dpkg/status

La salida de este programa se puede usar como un argumento de aptitude-run-state-bundle(1).

OPCIONES

--force-bzip2
    Invalida la detección de qué algoritmo de compresión usar. De manera predeterminada, aptitude-create-state-bundle utiliza bzip2(1), de estar disponible, o gzip(1) de no ser así. Introducir esta opción fuerza el uso de bzip2 aunque no parezca estar disponible.

--force-gzip
    Invalida la detección de qué algoritmo de compresión usar. De manera predeterminada, aptitude-create-state-bundle utiliza bzip2(1), de estar disponible, o gzip(1) de no ser así. Introducir esta opción fuerza el uso de gzip aunque bzip2 esté disponible.

--help
    Muestra un breve resumen del uso, después cierra.

--print-inputs
    En lugar de crear un archivo, muestra una lista de los archivos y directorios que el programa incluiría de generar un archivo de estado.

EL FORMATO DEL ARCHIVO

El fichero de estado es simplemente un fichero tar(1) comprimido con bzip2(1) o gzip(1). La raíz de cada uno de los árboles de directorios de entrada es “.”.

VÉASE TAMBIÉN

aptitude-run-state-bundle(1), aptitude(8), apt(8)

AUTORES

Daniel Burrows <dburrows@debian.org>
    Main author of the document.

Manuel A. Fernandez Montecelo <mafm@debian.org>
    Main maintainer after Daniel Burrows, documentation about new features, corrections and formatting.

COPYRIGHT

Copyright 2007 Daniel Burrows.

This manual page is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This manual page is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.